libebook::EBOOKLanguageManager Class Reference documentation

Classes | Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::EBOOKLanguageManager Class Reference

`#include <EBOOKLanguageManager.h>`

## Classes
struct | LangDB

## Public Member Functions
| EBOOKLanguageManager ()
const std::string | addTag (const std::string &tag)
const std::string | addLanguage (const std::string &lang)
const std::string | getLanguage (const std::string &tag) const
void | writeProperties (const std::string &tag, librevenge::RVNGPropertyList &props) const

## Private Member Functions
const LangDB & | getLangDB () const
void | addProperties (const std::string &tag)

## Private Attributes
std::unordered_map< std::string, std::string > | m_tagMap
std::unordered_set< std::string > | m_invalidTags
std::unordered_map< std::string, std::string > | m_langMap
std::unordered_set< std::string > | m_invalidLangs
std::unordered_map< std::string, librevenge::RVNGPropertyList > | m_propsMap
std::shared_ptr< LangDB > | m_langDB

## Constructor & Destructor Documentation

## ◆ EBOOKLanguageManager()

libebook::EBOOKLanguageManager::EBOOKLanguageManager | ( |  | ) |

## Member Function Documentation

## ◆ addLanguage()

const std::string libebook::EBOOKLanguageManager::addLanguage | ( | const std::string & | lang | ) |

## ◆ addProperties()

void libebook::EBOOKLanguageManager::addProperties | ( | const std::string & | tag | ) |
| private

Referenced by addLanguage(), and addTag().

## ◆ addTag()

const std::string libebook::EBOOKLanguageManager::addTag | ( | const std::string & | tag | ) |

## ◆ getLangDB()

const EBOOKLanguageManager::LangDB & libebook::EBOOKLanguageManager::getLangDB | ( |  | ) | const
| private

Referenced by addLanguage().

## ◆ getLanguage()

const std::string libebook::EBOOKLanguageManager::getLanguage | ( | const std::string & | tag | ) | const

## ◆ writeProperties()

void libebook::EBOOKLanguageManager::writeProperties | ( | const std::string & | tag,
|  | librevenge::RVNGPropertyList & | props ) const

## Member Data Documentation

## ◆ m_invalidLangs

std::unordered_set<std::string> libebook::EBOOKLanguageManager::m_invalidLangs
| private

Referenced by addLanguage(), and EBOOKLanguageManager().

## ◆ m_invalidTags

std::unordered_set<std::string> libebook::EBOOKLanguageManager::m_invalidTags
| private

Referenced by addTag(), and EBOOKLanguageManager().

## ◆ m_langDB

std::shared_ptr<LangDB> libebook::EBOOKLanguageManager::m_langDB
| mutableprivate

Referenced by EBOOKLanguageManager(), and getLangDB().

## ◆ m_langMap

std::unordered_map<std::string, std::string> libebook::EBOOKLanguageManager::m_langMap
| private

Referenced by addLanguage(), and EBOOKLanguageManager().

## ◆ m_propsMap

std::unordered_map<std::string, librevenge::RVNGPropertyList> libebook::EBOOKLanguageManager::m_propsMap
| private

Referenced by addProperties(), EBOOKLanguageManager(), and writeProperties().

## ◆ m_tagMap

std::unordered_map<std::string, std::string> libebook::EBOOKLanguageManager::m_tagMap
| private

Referenced by addTag(), and EBOOKLanguageManager().

The documentation for this class was generated from the following files:

- EBOOKLanguageManager.h
- EBOOKLanguageManager.cpp